"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a39c0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3b00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3ba0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3c40>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3ce0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3d80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3e20>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3ec0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa4a3f60>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508040>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5080e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508180>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508220>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5082c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508360>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508400>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5084a0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508540>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5085e0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508680>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508720>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5087c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508860>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508900>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5089a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508a40>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508ae0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508c20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508cc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508d60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508e00>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508ea0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508f40>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa508fe0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509080>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509120>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5091c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509260>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509300>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5093a0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509440>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5094e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509580>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509620>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5096c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509800>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5098a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa5099e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509a80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509b20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509bc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509c60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509d00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509da0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509e40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509ee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa509f80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a020>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a0c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a2a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a340>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a3e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a480>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a520>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a5c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a660>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a7a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a840>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a8e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50a980>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50aa20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50aac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50ab60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50aca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50ac00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50ad40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50ade0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc2aa50ae80>)]
name: str = 'fr_HOCCN'
